version: 1
config:
    site:
      title: 'Ocean App - CERT'
      contextPath: '/'
      url: 'http://localhost:8080/'
      theme: ''
      resourcesMerge: false
      executorJndi: ''
    persistence:
      #connections:
      #    Default:
      #        type: 'JDBC'
      #        driver: 'org.postgresql.Driver'
      #        url: 'jdbc:postgresql://postgres/postgres'
      #        user: 'postgres'
      #        password: 'postgres'
      #        properties:
      #            hibernate.dialect: 'org.hibernate.dialect.PostgreSQLDialect'
      #default: 'Default'
    smtp:
      host: 'smtp'
      port: 25
      #socketFactory:
      #    class: 'javax.net.ssl.SSLSocketFactory'
      #    port: 465
      startTls: false
      user: ''
      password: ''
    logging:
      feedback:
        recipient: 'support@localhost'
        code: 'OCEAN-APP'
        sender: 'admin@localhost'
      core: 'WARNING'
      modules:
          com.waveinformatica.ocean.persistence-hibernate-43: 'WARNING'
    custom:
      skysso-ldap:
          ldap.config.0: '{"server":"ldap://ldap-server:389/","distinguishedName":"cn=admin,dc=example,dc=com","user":"admin","password":"admin"}'
          ldap.count: 1